| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Home Dn

Home Dn Definitions and Methods. More...

## Classes
class | unsp__CreateHomeDnRequest
| Create Home DN request. More...
struct | unsp__CreateHomeDnResult
| Create Home DN result. More...
class | unsp__RemoveHomeDnRequest
| Remove Home DN request. More...
struct | unsp__RemoveHomeDnResult
| Remove Home DN result. More...
class | unsp__ModifyHomeDnRequest
| Modify Home DN request. More...
struct | unsp__ModifyHomeDnResult
| Modify Home DN result. More...
class | unsp__QueryHomeDnRequest
| Query Home DN request. More...
class | unsp__HomeDn
| Home Dn. More...
class | unsp__ArrayOfHomeDn
| Array of Home Dns. More...
struct | unsp__HomeDnResult
| Query Home DN result. More...

## Enumerations
enum | unsp__DnFilter { DnIgnored = -3, DnUnused = -1, DnUnassigned = 1, DnAll, DnHomeDn, DnNoHomeDn, DnDnCodeReference, DnNoDnCodeReference, DnVacant, DnNotVacant, DnReverse = 11 }
| Home DN Filter. More...
enum | unsp__EnableMatch { EmUnused = -1, EmNo, EmYes }
| Enable Match. More...

## Functions
int | unsp__createHomeDn (unsp__CreateHomeDnRequest CreateHomeDnRequest, struct unsp__CreateHomeDnResult *CreateHomeDnResult)
| Creates a range of up to 10000 for the specified Office Code. More...
int | unsp__removeHomeDn (unsp__RemoveHomeDnRequest RemoveHomeDnRequest, struct unsp__RemoveHomeDnResult *RemoveHomeDnResult)
| Removes a range of up to 10000 for the specified Office Code. More...
int | unsp__modifyHomeDn (unsp__ModifyHomeDnRequest ModifyHomeDnRequest, struct unsp__ModifyHomeDnResult *ModifyHomeDnResult)
| Modifies a Home Dn. More...
int | unsp__queryHomeDn (unsp__QueryHomeDnRequest QueryHomeDnRequest, struct unsp__HomeDnResult *QueryHomeDnResult)
| Queries Home Dns. More...

## Detailed Description

Home Dn Definitions and Methods.

Home Dn is the main number associated with a subscriber. The subscriber's Directory Number can be either a Public (E.164) or a Private (L2, L1, or L0) number. Home Directory numbers are related to an office code and can be assigned as extension numbers to subscribers, phantom lines, endpoints, services or intercept destinations.

If the subscriber's "External Directory Number" field is true, it means that the Home DN assigned to the subscriber is a Public (E.164) number.Otherwise, it means that the Home DN is a Private (L2, L1 or L0) number. A Home Dn may be reserved for a specific Business Group.

Note
  The definition on whether the Home DN is a Public or Private number is not stored as part of the Office Code or even as part of the Home DN itself. This information is part of the subscriber profile data.

## Default Home Directory Number

### Home DN assigned to an Endpoint Profile

The "Default Home DN" number can be assigned to an endpoint profile. For 'External' calls to a SIP endpoint (SIP Trunking, SIP Private Networking or SIP-Q Private Networking), if the calling party does not have a Public number, OpenScape Voice will use the "Default Home DN" (if configured on the SIP endpoint) as the calling party number.

### Home DN used by the Number Modification Library

The "Default Home DN" is also used by the Number Modification Library to optimize all numbers sent to the endpoint (if optimization is required by the Number Modification rule as it is possible to create Number Modification rules where the "Default Home DN" of an endpoint is chosen over the input number to be presented to the endpoint).

## Enumeration Type Documentation

## ◆ unsp__DnFilter

enum unsp__DnFilter

Home DN Filter.

Enumerator
DnIgnored | Ignored.
DnUnused | Unused.
DnUnassigned | Unassigned.
DnAll | All.
DnHomeDn | Home Dn.
DnNoHomeDn | No Home Dn.
DnDnCodeReference | Dn Code reference.
DnNoDnCodeReference | No Dn Code reference.
DnVacant | Vacant.
DnNotVacant | Not Vacant.
DnReverse | Reverse, bring all except the ones in the filter.

## ◆ unsp__EnableMatch

enum unsp__EnableMatch

Enable Match.

Enumerator
EmUnused | Unused.
EmNo | No.
EmYes | Yes.

## Function Documentation

## ◆ unsp__createHomeDn()

unsp__createHomeDn | ( | unsp__CreateHomeDnRequest | CreateHomeDnRequest,
|  | struct unsp__CreateHomeDnResult * | CreateHomeDnResult
| ) |  |

Creates a range of up to 10000 for the specified Office Code.

Parameters

  CreateHomeDnRequest | API request
  CreateHomeDnResult | API result MP2 command: HomeDn [Attributes]

## ◆ unsp__modifyHomeDn()

unsp__modifyHomeDn | ( | unsp__ModifyHomeDnRequest | ModifyHomeDnRequest,
|  | struct unsp__ModifyHomeDnResult * | ModifyHomeDnResult
| ) |  |

Modifies a Home Dn.

Parameters

  ModifyHomeDnRequest | API request
  ModifyHomeDnResult | API result MP2 command: ModifyHomeDn [Attributes]

## ◆ unsp__queryHomeDn()

unsp__queryHomeDn | ( | unsp__QueryHomeDnRequest | QueryHomeDnRequest,
|  | struct unsp__HomeDnResult * | QueryHomeDnResult
| ) |  |

Queries Home Dns.

Parameters

  QueryHomeDnRequest | API request
  QueryHomeDnResult | API result

## ◆ unsp__removeHomeDn()

unsp__removeHomeDn | ( | unsp__RemoveHomeDnRequest | RemoveHomeDnRequest,
|  | struct unsp__RemoveHomeDnResult * | RemoveHomeDnResult
| ) |  |

Removes a range of up to 10000 for the specified Office Code.

Parameters

  RemoveHomeDnRequest | API request
  RemoveHomeDnResult | API result MP2 command: RemoveHomeDn [Attributes]